﻿using FarPoint.Win.Spread.CellType;
using System;
using System.Collections.Generic;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CheckboxHeaderFilter
{
    public class CheckBoxHeaderFilter : CheckBoxCellType
    {
        public override void PaintCell(System.Drawing.Graphics g, Rectangle r, FarPoint.Win.Spread.Appearance appearance, object value, bool isSelected, bool isLocked, float zoomFactor)
        {
            base.PaintCell(g, r, appearance, value, isSelected, isLocked, zoomFactor);
            int x = r.Right - 22;
            int y = r.Top + 6;
            GraphicsPath path = new GraphicsPath();
            path.AddLine(x + 4, y + 4, x + 12, y + 4);
            path.AddLine(x + 12, y + 4, x + 8, y + 8);
            path.AddLine(x + 8, y + 8, x + 4, y + 4);
            path.CloseFigure();
            using (SolidBrush brush = new SolidBrush(Color.Black))
            {
                g.FillPath(brush, path);
            }

        }
    }
}
